#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	kf6-libkscreen
Version		:	6.1.3
Release		:	17.0.10.rel%{?dist}
Summary		:	Display configuration library

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://invent.kde.org/plasma/%{name}


Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	doxygen
BuildRequires	:	extra-cmake-modules
BuildRequires	:	kf6-kwayland-devel
BuildRequires	:	kf6-rpm-macros
BuildRequires	:	plasma-wayland-protocols-devel
BuildRequires	:	qt6-qtbase-devel
BuildRequires	:	qt6-qttools-devel
BuildRequires	:	qt6-qtwayland-devel

#-----------------------------------------------------------------------------
%description
LibKScreen is a library that provides access to current configuration
of connected displays and ways to change the configuration.

#-----------------------------------------------------------------------------
%files			-f %{sname}6_qt.lang
%defattr(-,root,root,-)
%license LICENSES/*
%{_datadir}/dbus-1/services/org.kde.kscreen.service
%{_datadir}/qlogging-categories6/libkscreen.categories
%{_datadir}/zsh/site-functions/_kscreen-doctor
%{_kf6_bindir}/kscreen-doctor
%{_kf6_libexecdir}/kscreen_backend_launcher
%{_kf6_libdir}/libKF6Screen.so.8
%{_kf6_libdir}/libKF6Screen.so.%{version}
%{_kf6_libdir}/libKF6ScreenDpms.so.8
%{_kf6_libdir}/libKF6ScreenDpms.so.%{version}
%{_kf6_plugindir}/kscreen/
%{_libdir}/systemd/user/plasma-kscreen.service

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that
use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_kf6_includedir}/KScreen/
%{_kf6_includedir}/kscreen_version.h
%{_kf6_libdir}/cmake/KF6Screen/
%{_kf6_libdir}/libKF6Screen.so
%{_kf6_libdir}/libKF6ScreenDpms.so
%{_libdir}/pkgconfig/KF6Screen.pc
%{_qt6_docdir}/*.tags

#=============================================================================
%package		doc
Summary		:	Developer Documentation files for %{name}

#-----------------------------------------------------------------------------
BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description		doc
Developer Documentation files for %{name} for
use with KDevelop or QtCreator.

#-----------------------------------------------------------------------------
%files			doc
%defattr(-,root,root,-)
%{_qt6_docdir}/*.qch

#=============================================================================
%prep
%setup -q -n %{sname}-v%{version}

#-----------------------------------------------------------------------------
#building application
%build

cmake								\
	-B _bld							\
	-S .							\
	-D CMAKE_BUILD_TYPE=Release				\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}			\
	-D CMAKE_INSTALL_LIBDIR=%{_libdir}			\
	-D CMAKE_INSTALL_LIBEXECDIR=%{_libexecdir}		\
	-D BUILD_TESTING=OFF					\
	-D BUILD_QCH=ON						\

cmake								\
	--build							\
	_bld							\
	--parallel %(/usr/bin/getconf _NPROCESSORS_ONLN)	\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}						\
	cmake							\
	--install						\
	_bld

%find_lang_kf6 %{sname}6_qt

#-----------------------------------------------------------------------------
%changelog
